Bug 1914344 - python-SALib fails to build with new NumPy
Summary: python-SALib fails to build with new NumPy
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-SALib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-08 15:50 UTC by Miro Hrončok
Modified: 2021-02-09 16:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2021-01-08 15:50:57 UTC
python-SALib fails to build with Python 3.10.0a4 and Python 3.9.1.

https://koschei.fedoraproject.org/package/python-SALib?collection=f34

=================================== FAILURES ===================================
______________________ test_odd_num_levels_raises_warning ______________________
setup_param_file_with_groups = '/tmp/tmpxbszyeho'
    def test_odd_num_levels_raises_warning(setup_param_file_with_groups):
    
        parameter_file = setup_param_file_with_groups
        problem = read_param_file(parameter_file)
        with warnings.catch_warnings(record=True) as w:
            # Cause all warnings to always be triggered.
            warnings.simplefilter("always")
            # Trigger a warning.
            sample(problem, 10, num_levels=3)
            # Verify some things
>           assert len(w) == 1
E           assert 2 == 1
E             +2
E             -1
tests/sample/morris/test_morris.py:52: AssertionError
_______________________ test_even_num_levels_no_warning ________________________
setup_param_file_with_groups = '/tmp/tmpggoum9g4'
    def test_even_num_levels_no_warning(setup_param_file_with_groups):
    
        parameter_file = setup_param_file_with_groups
        problem = read_param_file(parameter_file)
        with warnings.catch_warnings(record=True) as w:
            # Cause all warnings to always be triggered.
            warnings.simplefilter("always")
            # Trigger a warning.
            sample(problem, 10, num_levels=4)
            # Verify some things
>           assert len(w) == 0
E           assert 1 == 0
E             +1
E             -0
tests/sample/morris/test_morris.py:67: AssertionError



For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01865244-python-SALib/

For all our attempts to build python-SALib with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-SALib/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Fedora Release Engineering 2021-01-24 04:22:47 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-05).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 2 Ben Cotton 2021-02-09 15:38:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.